MIX_UnlockMixer(3)

NAME
MIX_UnlockMixer - Unlock a mixer previously locked by a call to MIX_LockMixer().

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_UnlockMixer(MIX_Mixer *mixer);

DESCRIPTION
While locked, the mixer will not be able to mix more audio or change its internal state another thread. Those other threads will block until the mixer is unlocked again.

Under the hood, this function calls SDL_LockMutex(), so all the same rules apply: the lock can be recursive, it must be unlocked the same number of times from the same thread that locked it, etc.

Unlocking a NULL mixer is a safe no-op.

FUNCTION PARAMETERS

mixer
    the mixer to unlock. May be NULL.

THREAD SAFETY
This call must be paired with a previous MIX_LockMixer call on the same thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_LockMixer(3)